<script setup lang="ts">
import DummyComponent from '@/components/DummyComponent.vue';
import { provide, ref } from 'vue';
const num1 = ref(0)

provide('num1',num1)

function num1Click(num: number){
  console.log(`Num1 Click: ${num}`)
  num1.value = num
}
</script>

<template>
  <div style="text-align: center;">
    <img style="width: 300px; border-radius:50%" src="../assets/me.jpg" alt="" />
    <h3 style="text-align: center">สวัสดีคับ ผม จิรัฏฐ์ครับ</h3>
    <!-- <NumberButton num="1"></NumberButton>
    <NumberButton num="2"></NumberButton>
    <NumberButton num="3"></NumberButton> -->
    {{ num1 }}
    <DummyComponent></DummyComponent>
  </div>
</template>
